## akonadi-calendar 25.08.1+p24.04+vstable+git20250914.2156

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.5.2")
project(Akonadi-Calendar VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(QT_REQUIRED_VERSION "6.8.0")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    serializers/*.cpp
    serializers/*.h
    calendar-plugin/*.cpp
    calendar-plugin/*.h
    reminder-daemon/*.cpp
    reminder-daemon/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    serializers/*.cpp
    serializers/*.h
    calendar-plugin/*.cpp
    calendar-plugin/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

set(KPIM_MIME_VERSION "6.5.1")
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "6.5.1")
set(AKONADIMIME_LIB_VERSION "6.5.1")
set(AKONADI_LIB_VERSION "6.5.1")
set(MAILTRANSPORT_LIB_VERSION "6.5.1")
set(CALENDARUTILS_LIB_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
set(MESSAGECORE_LIB_VERSION "6.5.1")
set(MESSAGECOMPOSER_LIB_VERSION "6.5.1")
set(LIBKLEO_LIB_VERSION "6.5.1")

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfigVersion.cmake"
    SOVERSION 6
)

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDARCORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar-core_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarCoreConfigVersion.cmake"
    SOVERSION 6
)

configure_file(akonadi-calendar-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/akonadi-calendar-version.h @ONLY)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

########### Find packages ###########
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6MailTransport ${MAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageCore ${MESSAGECORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGECOMPOSER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactCore ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIME_VERSION} CONFIG REQUIRED)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(src)
add_subdirectory(serializers)
add_subdirectory(reminder-daemon)
add_subdirectory(calendar-plugin)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR_CORE "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiCalendarCore")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiCalendarCore_QCH
        FILE KPim6AkonadiCalendarCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR_CORE}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS_CORE
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiCalendarCoreQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiCalendarCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR_CORE}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarCoreConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_CORE}"
    COMPONENT Devel
)

install(
    EXPORT KPim6AkonadiCalendarCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_CORE}"
    FILE KPim6AkonadiCalendarCoreTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar-core_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendarCore
    COMPONENT Devel
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiCalendar")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiCalendar_QCH
        FILE KPim6AkonadiCalendarQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiCalendarQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiCalendarConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    EXPORT KPim6AkonadiCalendarTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6AkonadiCalendarTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendar
    COMPONENT Devel
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT AKONADI-CALENDAR
    FILE akonadi-calendar.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-calendar (4:25.08.1+p24.04+vstable+git20250914.2156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 21:56:09 +0000

akonadi-calendar (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:09:56 +0000

akonadi-calendar (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:42:48 +0000

akonadi-calendar (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:27:11 +0000

akonadi-calendar (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:40:43 +0000

akonadi-calendar (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:32:38 +0000

akonadi-calendar (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:15:50 +0000

akonadi-calendar (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:42:07 +0000

akonadi-calendar (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:49:03 +0000

akonadi-calendar (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:40:20 +0000

akonadi-calendar (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:37:47 +0000

akonadi-calendar (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:37:51 +0000

akonadi-calendar (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:09:47 +0000

akonadi-calendar (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:48:01 +0000

akonadi-calendar (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:02:41 +0000

akonadi-calendar (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:37:58 +0000

akonadi-calendar (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:06:36 +0000

akonadi-calendar (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:52:00 +0000

akonadi-calendar (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:47:37 +0000

akonadi-calendar (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:30:01 +0000

akonadi-calendar (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 14:30:45 +0000

akonadi-calendar (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:06:52 +0000

akonadi-calendar (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 12:36:46 +0000

akonadi-calendar (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:35:50 +0000

akonadi-calendar (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:02:05 +0000

akonadi-calendar (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:49:59 +0000

akonadi-calendar (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:17:04 +0000

akonadi-calendar (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:55:07 +0000

akonadi-calendar (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:02:46 +0000

akonadi-calendar (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:20:49 +0000

akonadi-calendar (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:54:17 +0000

akonadi-calendar (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:22:40 +0000

akonadi-calendar (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:12:19 +0000

akonadi-calendar (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:34:40 +0000

akonadi-calendar (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:25:35 +0000

akonadi-calendar (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:44:52 +0000

akonadi-calendar (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:59:40 +0000

akonadi-calendar (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:56:33 +0000

akonadi-calendar (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:09:52 +0000

akonadi-calendar (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 07:51:05 +0000

akonadi-calendar (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:12 +0000

akonadi-calendar (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:26:21 +0000

akonadi-calendar (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:46:44 +0000

akonadi-calendar (4:21.04.2-0neon) focal; urgency=medium

  * New release



=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6


override_dh_auto_configure:
	dh_auto_configure -- \
		-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON \
		-DBUILD_QCH=ON

## akonadi-calendar 25.08.1+p24.04+vstable+git20250916.0459

=== debian/changelog ===
akonadi-calendar (4:25.08.1+p24.04+vstable+git20250916.0459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 04:59:03 +0000

## akonadi-calendar 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,18 +65,18 @@
 
 include(ECMAddQch)
 
-set(KPIM_MIME_VERSION "6.5.1")
+set(KPIM_MIME_VERSION "6.5.2")
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "6.5.1")
-set(AKONADIMIME_LIB_VERSION "6.5.1")
-set(AKONADI_LIB_VERSION "6.5.1")
-set(MAILTRANSPORT_LIB_VERSION "6.5.1")
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
-set(MESSAGECORE_LIB_VERSION "6.5.1")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.1")
-set(LIBKLEO_LIB_VERSION "6.5.1")
+set(AKONADICONTACT_LIB_VERSION "6.5.2")
+set(AKONADIMIME_LIB_VERSION "6.5.2")
+set(AKONADI_LIB_VERSION "6.5.2")
+set(MAILTRANSPORT_LIB_VERSION "6.5.2")
+set(CALENDARUTILS_LIB_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
+set(MESSAGECORE_LIB_VERSION "6.5.2")
+set(MESSAGECOMPOSER_LIB_VERSION "6.5.2")
+set(LIBKLEO_LIB_VERSION "6.5.2")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"

=== serializers/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-calendar6-serializer\")
add_library(akonadi_serializer_kcalcore MODULE)

target_sources(
    akonadi_serializer_kcalcore
    PRIVATE
        akonadi_serializer_kcalcore.cpp
        akonadi_serializer_kcalcore.h
)
ecm_qt_declare_logging_category(akonadi_serializer_kcalcore HEADER serializer_debug.h IDENTIFIER AKONADI_SERIALIZER_CALENDAR_LOG CATEGORY_NAME org.kde.pim.calendar_serializer
        DESCRIPTION "calendar serializer (plugin)"
        EXPORT AKONADI-CALENDAR
)

target_link_libraries(
    akonadi_serializer_kcalcore
    KPim6::CalendarUtils
    KF6::CalendarCore
    KPim6::AkonadiCore
    KF6::I18n
)
install(TARGETS akonadi_serializer_kcalcore DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES akonadi_serializer_kcalcore.desktop DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/plugins/serializer)

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-calendar6\")

add_library(KPim6AkonadiCalendarCore)
add_library(KPim6::AkonadiCalendarCore ALIAS KPim6AkonadiCalendarCore)

target_sources(
    KPim6AkonadiCalendarCore
    PRIVATE
        freebusyproviderbase.cpp
        freebusyproviderbase.h
        freebusyproviderbase_p.h
)

ecm_qt_declare_logging_category(KPim6AkonadiCalendarCore
    HEADER akonadicalendarcore_debug.h
    IDENTIFIER AKONADICALENDAR_LOG
    CATEGORY_NAME org.kde.pim.akonadicalendarcore
    DESCRIPTION "akonadicalendarcore (pim lib)"
    EXPORT AKONADI-CALENDAR
)

qt_add_dbus_adaptor(akonadicalendarcore_LIB_SRC
    interfaces/org.freedesktop.Akonadi.Resource.FreeBusyProvider.xml
    freebusyproviderbase_p.h
    Akonadi::FreeBusyProviderBasePrivate
    freebusyprovideradaptor
    Akonadi__FreeBusyProviderAdaptor
)

target_sources(KPim6AkonadiCalendarCore PRIVATE ${akonadicalendarcore_LIB_SRC})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6AkonadiCalendarCore
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

ecm_generate_export_header(KPim6AkonadiCalendarCore
    VERSION ${PIM_VERSION}
    BASE_NAME akonadi_calendar_core
    EXPORT_FILE_NAME akonadi-calendar-core_export.h
)

target_include_directories(
    KPim6AkonadiCalendarCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendarCore>"
    PUBLIC
        "$<BUILD_INTERFACE:${Akonadi-Calendar_SOURCE_DIR}/src/core;${Akonadi-Calendar_BINARY_DIR}/src/core>"
)

target_link_libraries(KPim6AkonadiCalendarCore PUBLIC KPim6::AkonadiCore)

set_target_properties(
    KPim6AkonadiCalendarCore
    PROPERTIES
        VERSION
            ${AKONADICALENDAR_VERSION}
        SOVERSION
            ${AKONADICALENDAR_SOVERSION}
        EXPORT_NAME
            AkonadiCalendarCore
)

install(TARGETS KPim6AkonadiCalendarCore EXPORT KPim6AkonadiCalendarCoreTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(AkonadiCalendarCore_CamelCase_HEADERS
    HEADER_NAMES
        FreeBusyProviderBase
    REQUIRED_HEADERS AkonadiCalendarCore_HEADERS
    PREFIX Akonadi
)

install(
    FILES
        ${AkonadiCalendarCore_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendarCore/Akonadi
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar-core_export.h
        ${AkonadiCalendarCore_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendarCore/akonadi
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6AkonadiCalendarCore_QCH
        NAME AkonadiCalendar
        BASE_NAME KPim6AkonadiCalendarCore
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
  	    ${AkonadiCalendarCore_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            AKONADI_CALENDAR_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
akonadi-calendar (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:36:13 +0100

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libakonadicontact-dev (>= 4:25.08.2~),
               libakonadimime-dev (>= 4:25.08.2~),
               libkcalendarutils-dev (>= 4:25.08.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.2~),
               libkleo-dev (>= 4:25.08.2~),
               libkmailtransport-dev (>= 25.08.2~),
               libkmime-dev (>= 25.08.2~),
               messagelib-dev (>= 4:25.08.2~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Rules-Requires-Root: no

Package: kalendarac
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5akonadicalendar-bin,
Replaces: libkf5akonadicalendar-bin,
Description: akonadi-calendar - calendar reminder
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the daemon for calendar reminders.

Package: libakonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5akonadicalendar-data,
Replaces: libkf5akonadicalendar-data,
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libakonadicalendar-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.2~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkf6i18n-dev (>= 6.6.0~),
         libkf6widgetsaddons-dev (>= 6.6.0~),
         libkidentitymanagement-dev (>= 25.08.2~),
         libkpim6akonadicalendar6 (= ${binary:Version}),
         libkpim6akonadicalendarcore6 (= ${binary:Version}),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkpim6akonadicalendar6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkpim6akonadicalendarcore6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

## akonadi-calendar 25.08.2+p24.04+vstable+git20251015.2009

=== debian/changelog ===
akonadi-calendar (4:25.08.2+p24.04+vstable+git20251015.2009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:09:05 +0000

akonadi-calendar (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:52:20 +0000

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kcontacts-dev,
               kf6-kdbusaddons-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-ktextaddons-dev,
               kf6-kwallet-dev,
               kf6-kxmlgui-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kmailtransport-dev,
               kpim6-libkdepim-dev,
               kpim6-messagelib-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               reuse,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-calendar.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-calendar
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-calendar
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6akonadicalendar6abi2
Replaces: libkf5akonadicalendar-bin,
          libkf5akonadicalendar-data,
          libkf5akonadicalendar5,
          libkf5akonadicalendar5abi2,
          libkpim5akonadicalendar-bin,
          libkpim5akonadicalendar-data,
          libkpim5akonadicalendar5,
          libkpim5akonadicalendar5abi2
Description: Akonadi calendar library - runtime binaries
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains runtime binaries.

Package: kpim6-akonadi-calendar-dev
Section: libdevel
X-Neon-MergedPackage: true
Architecture: any
Depends: kf6-kcalendarcore-dev,
         kf6-kcompletion-dev,
         kf6-kitemmodels-dev,
         kf6-kxmlgui-dev,
         kpim6-akonadi-calendar (= ${binary:Version}),
         kpim6-akonadi-contacts-dev,
         kpim6-akonadi-dev,
         kpim6-kidentitymanagement-dev,
         libboost-dev (>= 1.34.0~),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5akonadicalendar-dev, libkpim5akonadicalendar-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim5akonadicalendar-data
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicalendar-bin
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicalendar-dev
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicalendar5
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicalendar5abi2
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar-data
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar-bin
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar-dev
Architecture: all
Depends: kpim6-akonadi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar5
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicalendar5abi2
Architecture: all
Depends: kpim6-akonadi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## akonadi-calendar 25.08.2+p24.04+vstable+git20251019.0824

=== debian/changelog ===
akonadi-calendar (4:25.08.2+p24.04+vstable+git20251019.0824-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:24:57 +0000

## akonadi-calendar 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 project(Akonadi-Calendar VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -65,18 +65,18 @@
 
 include(ECMAddQch)
 
-set(KPIM_MIME_VERSION "6.5.2")
+set(KPIM_MIME_VERSION "6.5.3")
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(AKONADIMIME_LIB_VERSION "6.5.2")
-set(AKONADI_LIB_VERSION "6.5.2")
-set(MAILTRANSPORT_LIB_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(MESSAGECORE_LIB_VERSION "6.5.2")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.2")
-set(LIBKLEO_LIB_VERSION "6.5.2")
+set(AKONADICONTACT_LIB_VERSION "6.5.3")
+set(AKONADIMIME_LIB_VERSION "6.5.3")
+set(AKONADI_LIB_VERSION "6.5.3")
+set(MAILTRANSPORT_LIB_VERSION "6.5.3")
+set(CALENDARUTILS_LIB_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(MESSAGECORE_LIB_VERSION "6.5.3")
+set(MESSAGECOMPOSER_LIB_VERSION "6.5.3")
+set(LIBKLEO_LIB_VERSION "6.5.3")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(core)

add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-calendar6\")

add_library(KPim6AkonadiCalendar)
add_library(KPim6::AkonadiCalendar ALIAS KPim6AkonadiCalendar)

target_sources(
    KPim6AkonadiCalendar
    PRIVATE
        blockalarmsattribute.cpp
        blockalarmsattribute.h
        calendarbase.cpp
        calendarbase.h
        calendarbase_p.h
        calendarclipboard.cpp
        calendarclipboard.h
        calendarclipboard_p.h
        calendarmodel.cpp
        calendarmodel_p.h
        calendarutils.cpp
        calendarutils.h
        calfilterpartstatusproxymodel.cpp
        calfilterpartstatusproxymodel.h
        calfilterproxymodel.cpp
        calfilterproxymodel.h
        collectioncalendar.cpp
        collectioncalendar.h
        etmcalendar.cpp
        etmcalendar.h
        etmcalendar_p.h
        fetchjobcalendar.cpp
        fetchjobcalendar.h
        fetchjobcalendar_p.h
        freebusydownloadjob_p.cpp
        freebusydownloadjob_p.h
        freebusymanager.cpp
        freebusymanager.h
        freebusymanager_p.h
        history.cpp
        history.h
        history_p.cpp
        history_p.h
        icalimporter.cpp
        icalimporter.h
        icalimporter_p.h
        incidencechanger.cpp
        incidencechanger.h
        incidencechanger_p.cpp
        incidencechanger_p.h
        incidencefetchjob_p.cpp
        incidencefetchjob_p.h
        incidencetreemodel.cpp
        incidencetreemodel.h
        incidencetreemodel_p.h
        itiphandler.cpp
        itiphandler.h
        itiphandlerhelper_p.cpp
        itiphandlerhelper_p.h
        itiphandler_p.cpp
        itiphandler_p.h
        kcolumnfilterproxymodel.cpp
        kcolumnfilterproxymodel_p.h
        mailclient_p.cpp
        mailclient_p.h
        mailscheduler_p.cpp
        mailscheduler_p.h
        publishdialog.cpp
        publishdialog.h
        publishdialog_p.cpp
        publishdialog_p.h
        scheduler_p.cpp
        scheduler_p.h
        searchcollectionhelper.cpp
        searchcollectionhelper.h
        selectcollection.cpp
        selectcollection.h
        standardcalendaractionmanager.cpp
        standardcalendaractionmanager.h
        todomodel.cpp
        todomodel.h
        todopurger.cpp
        todopurger.h
        todopurger_p.h
        utils_p.cpp
        utils_p.h
)

ecm_qt_declare_logging_category(KPim6AkonadiCalendar HEADER akonadicalendar_debug.h IDENTIFIER AKONADICALENDAR_LOG CATEGORY_NAME org.kde.pim.akonadicalendar
        DESCRIPTION "akonadicalendar (pim lib)"
        OLD_CATEGORY_NAMES log_akonadicalendar
        EXPORT AKONADI-CALENDAR
)

kconfig_add_kcfg_files(KPim6AkonadiCalendar GENERATE_MOC calendarsettings.kcfgc)
ki18n_wrap_ui(akonadicalendar_LIB_SRC publishdialog_base.ui)

target_sources(KPim6AkonadiCalendar PRIVATE ${akonadicalendar_LIB_SRC})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6AkonadiCalendar
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6AkonadiCalendar
    VERSION ${PIM_VERSION}
    BASE_NAME akonadi_calendar
    EXPORT_FILE_NAME akonadi-calendar_export.h
)

target_include_directories(
    KPim6AkonadiCalendar
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendar>"
)
target_include_directories(
    KPim6AkonadiCalendar
    PUBLIC
        "$<BUILD_INTERFACE:${Akonadi-Calendar_SOURCE_DIR}/src;${Akonadi-Calendar_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6AkonadiCalendar
    PUBLIC
        KPim6::AkonadiCalendarCore
        KF6::CalendarCore
        KF6::WidgetsAddons
        KF6::I18n
        KPim6::IdentityManagementCore
        KF6::ConfigGui
    PRIVATE
        KF6::Codecs
        KF6::KIOCore
        KF6::JobWidgets
        KF6::XmlGui
        KPim6::AkonadiContactCore
        KPim6::AkonadiMime
        KPim6::CalendarUtils
        KPim6::AkonadiWidgets
        KPim6::MailTransport
        KPim6::MessageCore
        KPim6::MessageComposer
        KPim6::Libkleo
)

set_target_properties(
    KPim6AkonadiCalendar
    PROPERTIES
        VERSION
            ${AKONADICALENDAR_VERSION}
        SOVERSION
            ${AKONADICALENDAR_SOVERSION}
        EXPORT_NAME
            AkonadiCalendar
)

install(TARGETS KPim6AkonadiCalendar EXPORT KPim6AkonadiCalendarTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(AkonadiCalendar_CamelCase_HEADERS
  HEADER_NAMES
  BlockAlarmsAttribute
  CalendarBase
  CalendarClipboard
  CalendarUtils
  CalFilterPartStatusProxyModel
  CalFilterProxyModel
  CollectionCalendar
  ETMCalendar
  FetchJobCalendar
  FreeBusyManager
  History
  ICalImporter
  IncidenceChanger
  IncidenceTreeModel
  ITIPHandler
  PublishDialog
  StandardCalendarActionManager
  SearchCollectionHelper
  SelectCollection
  TodoModel
  TodoPurger
  REQUIRED_HEADERS AkonadiCalendar_HEADERS
  PREFIX Akonadi
)

install(
    FILES
        ${AkonadiCalendar_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendar/Akonadi
    COMPONENT Devel
)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_export.h
        ${AkonadiCalendar_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/calendarsettings.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendar/akonadi
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6AkonadiCalendar_QCH
        NAME AkonadiCalendar
        BASE_NAME KPim6AkonadiCalendar
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${AkonadiCalendar_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            AKONADI_CALENDAR_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
akonadi-calendar (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files and new binary package
    libkpim6akonadicalendarcore6.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Nov 2025 18:27:16 +0100

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libakonadimime-dev,
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkleo-dev (>= 4:25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               messagelib-dev (>= 4:25.08.3~),
               qt6-base-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/akonadi-calendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git

Package: kalendarac
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5akonadicalendar-bin,
Replaces: libkf5akonadicalendar-bin,
Description: akonadi-calendar - calendar reminder
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the daemon for calendar reminders.

Package: libakonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5akonadicalendar-data,
Replaces: libkf5akonadicalendar-data,
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libakonadicalendar-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.3~),
         libkf6calendarcore-dev (>= 6.14.0~),
         libkf6i18n-dev (>= 6.14.0~),
         libkf6widgetsaddons-dev (>= 6.14.0~),
         libkidentitymanagement-dev (>= 25.08.3~),
         libkpim6akonadicalendar6 (= ${binary:Version}),
         libkpim6akonadicalendarcore6 (= ${binary:Version}),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkpim6akonadicalendar6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkpim6akonadicalendarcore6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library providing core calendar helpers for Akonadi items
 This library offers core helper functions to integrate the use of Akonadi
 calendar items in applications.

## akonadi-calendar 25.08.3+p24.04+vunstable+git20251208.0451

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,14 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 project(Akonadi-Calendar VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.20.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -20,6 +20,7 @@
 include(ECMGenerateHeaders)
 
 include(ECMSetupVersion)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 file(
     GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
     src/*.cpp
@@ -65,18 +66,19 @@
 
 include(ECMAddQch)
 
-set(KPIM_MIME_VERSION "6.5.3")
+set(KPIM_MIME_VERSION "6.6.40")
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "6.5.3")
-set(AKONADIMIME_LIB_VERSION "6.5.3")
-set(AKONADI_LIB_VERSION "6.5.3")
-set(MAILTRANSPORT_LIB_VERSION "6.5.3")
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
-set(MESSAGECORE_LIB_VERSION "6.5.3")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.3")
-set(LIBKLEO_LIB_VERSION "6.5.3")
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADI_LIB_VERSION "6.6.40")
+set(MAILTRANSPORT_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(MESSAGECORE_LIB_VERSION "6.6.40")
+set(MESSAGECOMPOSER_LIB_VERSION "6.6.40")
+set(LIBKLEO_LIB_VERSION "6.6.40")
+set(GPGME_LIB_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
@@ -125,10 +127,25 @@
 find_package(KPim6AkonadiContactCore ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KPim6AkonadiMime ${AKONADI_MIME_VERSION} CONFIG REQUIRED)
 
+find_package(Gpgmepp ${GPGME_LIB_VERSION} CONFIG)
+set_package_properties(
+    Gpgmepp
+    PROPERTIES
+        DESCRIPTION
+            "GpgME++ Library"
+        URL
+            "https://www.gnupg.org"
+        TYPE
+            REQUIRED
+        PURPOSE
+            "GpgME++ is required for OpenPGP support"
+)
+find_package(QGpgmeQt6 ${GPGME_LIB_VERSION} CONFIG REQUIRED)
+
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-calendar (4:25.08.3+p24.04+vunstable+git20251208.0451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 04:51:05 +0000

akonadi-calendar (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:49 +1000
